
package com.experianpayments.bankwizardcard.wsdl.bankwizardcardservice_v1;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "BankWizardCard_v1_1_Service", targetNamespace = "http://experianpayments.com/bankwizardcard/wsdl/BankWizardCardService-v1", wsdlLocation = "file:/D:/experian2/wsdl/BankWizardCardService-v1.wsdl")
public class BankWizardCardV11Service
    extends Service
{

    private final static URL BANKWIZARDCARDV11SERVICE_WSDL_LOCATION;
    private final static WebServiceException BANKWIZARDCARDV11SERVICE_EXCEPTION;
    private final static QName BANKWIZARDCARDV11SERVICE_QNAME = new QName("http://experianpayments.com/bankwizardcard/wsdl/BankWizardCardService-v1", "BankWizardCard_v1_1_Service");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("file:/D:/experian2/wsdl/BankWizardCardService-v1.wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        BANKWIZARDCARDV11SERVICE_WSDL_LOCATION = url;
        BANKWIZARDCARDV11SERVICE_EXCEPTION = e;
    }

    public BankWizardCardV11Service() {
        super(__getWsdlLocation(), BANKWIZARDCARDV11SERVICE_QNAME);
    }

    public BankWizardCardV11Service(WebServiceFeature... features) {
        super(__getWsdlLocation(), BANKWIZARDCARDV11SERVICE_QNAME, features);
    }

    public BankWizardCardV11Service(URL wsdlLocation) {
        super(wsdlLocation, BANKWIZARDCARDV11SERVICE_QNAME);
    }

    public BankWizardCardV11Service(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, BANKWIZARDCARDV11SERVICE_QNAME, features);
    }

    public BankWizardCardV11Service(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public BankWizardCardV11Service(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns BankWizardCardV11PortType
     */
    @WebEndpoint(name = "BankWizardCard_v1_1_0_Port")
    public BankWizardCardV11PortType getBankWizardCardV110Port() {
        return super.getPort(new QName("http://experianpayments.com/bankwizardcard/wsdl/BankWizardCardService-v1", "BankWizardCard_v1_1_0_Port"), BankWizardCardV11PortType.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns BankWizardCardV11PortType
     */
    @WebEndpoint(name = "BankWizardCard_v1_1_0_Port")
    public BankWizardCardV11PortType getBankWizardCardV110Port(WebServiceFeature... features) {
        return super.getPort(new QName("http://experianpayments.com/bankwizardcard/wsdl/BankWizardCardService-v1", "BankWizardCard_v1_1_0_Port"), BankWizardCardV11PortType.class, features);
    }

    private static URL __getWsdlLocation() {
        if (BANKWIZARDCARDV11SERVICE_EXCEPTION!= null) {
            throw BANKWIZARDCARDV11SERVICE_EXCEPTION;
        }
        return BANKWIZARDCARDV11SERVICE_WSDL_LOCATION;
    }

}
